=== debian/changelog ===
starpu (1.1.3+dfsg-3) unstable; urgency=medium

  * control: Make libsocl-1.1-1 and libsocl-contrib-1.1-1 conflict/provide each
    other (Closes: Bug#767557).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Nov 2014 16:50:43 +0100

starpu (1.1.3+dfsg-2) unstable; urgency=medium

  * control: Make libstarpu-1.1-7 Replace libstarpu-1.1-6: the soname bump
    actually happened earlier :/ (Closes: Bug#761483).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Sep 2014 00:00:39 +0200

starpu (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rename libstarpu-1.1-6 package into libstarpu-1.1-7 due to soname bump.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Sep 2014 14:19:21 +0200

starpu (1.1.2+dfsg-2) unstable; urgency=medium

  * Make starpu-contrib use gfortran 4.8 too (Closes: Bug#752030).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jun 2014 16:24:21 +0200
