=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
 	libblas-dev,
 	libfftw3-dev,
 	libhwloc-dev,
-	libcnf-dev, gfortran,
+	libcnf-dev,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
 	guile-2.0,
 	opencl-headers, ocl-icd-opencl-dev,
-	gcc-4.9, g++-4.9, gcc-4.9-plugin-dev,
-#	gcc-4.8, g++-4.8, gcc-4.8-plugin-dev,
+	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
+#	gcc-4.8, g++-4.8, gfortran-4.8, gcc-4.8-plugin-dev,
 	help2man,
 #	nvidia-cuda-toolkit,
 #Build-Conflicts: gcc-4.9, g++-4.9, hardening-wrapper
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -32,7 +32,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.1-6 (= ${binary:Version}), libstarpufft-1.1-1 (= ${binary:Version}), libstarpumpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
+Depends: libstarpu-1.1-7 (= ${binary:Version}), libstarpufft-1.1-1 (= ${binary:Version}), libstarpumpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +46,13 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-1.1-6
+Package: libstarpu-1.1-7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.1-6
-#Provides: libstarpu-1.1-6
+Conflicts: libstarpu-contrib-1.1-7
+#Provides: libstarpu-1.1-7
+Replaces: libstarpu-1.1-6
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -152,6 +153,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-contrib-1.1-1
+#Provides: libsocl-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
