=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,17 @@
 ifeq ($(source),starpu)
 CC=gcc-$(GCC_VERSION)
 CXX=g++-$(GCC_VERSION)
+F77=gfortran-$(GCC_VERSION)
 else
 # nvcc sometimes chokes on some gcc features
 CC=gcc-$(CONTRIB_GCC_VERSION)
 CXX=g++-$(CONTRIB_GCC_VERSION)
+F77=gfortran-$(CONTRIB_GCC_VERSION)
 endif
 OMPI_CC=$(CC)
 export CC
 export CXX
+export F77
 export OMPI_CC
 V=1
 export V
@@ -62,12 +65,13 @@
 	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
 	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
 	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
+	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
 	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
 	sed -i 's/^Provides:/#Provides:/' debian/control
 	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
-	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
+	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
 	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
-	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
+	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
 	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
 	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
 	sed -i 's_^Section: contrib/_Section: _' debian/control
@@ -84,11 +88,12 @@
 	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
 	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
 	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
+	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
 	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
 	sed -i 's/^#Provides:/Provides:/' debian/control
-	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
+	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
 	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
-	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
+	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
 	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
 	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
 	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
