## starpu 1.1.4+dfsg

=== debian/changelog ===
starpu (1.1.4+dfsg-3build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:53:12 +0000

starpu (1.1.4+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:39:56 +0000

starpu (1.1.4+dfsg-3) unstable; urgency=medium

  * compat: Bump to 9.
  * control: 
    - Bump debhelper build-dependency accordingly.
    - Drop hardening-wrapper depdency.
    - Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.
    - Enable numa and valgrind support on mips64* (closes: Bug#806711).
    - Add doxygen and doxygen-latex build dependencies.
  * rules:
    - Drop use of hardening-wrapper.
    - Disable gcc version dependency, which was only needed for the plugin.
  * *.dirs: Drop, useless.
  * *.install: Update to multiarch libdir path.
  * starpu-examples.install: Also install OpenCL programs.
  * starpu-contrib-examples.install: Make a symlink to
    starpu-examples.install.
  * docs: Drop manual installation of PDF documentation, now automatically
    done.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2015 00:52:49 +0100

starpu (1.1.4+dfsg-2) unstable; urgency=medium

  * Bump gcc versions according to newer nvcc support (closes: Bug#796844).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Aug 2015 00:01:15 +0200

starpu (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Rename libstarpu-1.1-7 into libstarpu-1.1-9 and libstarpumpi-1.1-2 into
      libstarpumpi-1.1-3 according to soname bump. No rdeps.
  * Enable libnuma-dev and valgrind on arm64 and ppc64el too.
  * control: Add missing dependency on ocl-icd-opencl-dev for libstarpu-dev
  * rules:
    - Prevent the testsuite from running in parallel.
    - Pass --enable-quick-check to configure.
 
 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 May 2015 13:41:06 +0200
