=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,18 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_HARDENING=1
 DH_OPTIONS=-Bbuild
 
 source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)
 
-GCC_VERSION          := 4.9
-DEFAULT_GCC_VERSION  := 4.9
-CONTRIB_GCC_VERSION  := 4.8
+# This is the current default version, which we may have to conflict against
+DEFAULT_GCC_VERSION  := 5
+
+# This is the version we want to build starpu against (may have to change
+# according to plugin support)
+GCC_VERSION          := 5
+
+# This is the best version that nvcc supports.
+CONTRIB_GCC_VERSION  := 4.9
 
 ifeq ($(source),starpu)
 CC=gcc-$(GCC_VERSION)
@@ -33,10 +38,10 @@
 override_dh_auto_configure:
 	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
 		--with-qwt-include-dir=/usr/include/qwt-qt4 \
-		--with-qwt-lib=qwt-qt4
+		--with-qwt-lib=qwt-qt4 --enable-quick-check
 
 override_dh_auto_test:
-	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
+	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) 
 	$(MAKE) -C build showcheck
 
 #ifeq ($(source),starpu)
@@ -46,15 +51,17 @@
 
 override_dh_auto_clean:
 	dh_auto_clean $(DH_OPTIONS) 
+	rm -fr doc/doxygen/starpu.pdf
+	rm -fr doc/doxygen/html
 	rm -fr .starpu
 	rm -f starpu-top/StarPU-Top
 	rm -fr .nv
 
 # This is required by the gcc plugin infrastructure
-GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
-GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
-override_dh_gencontrol:
-	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'
+#GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
+#GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
+#override_dh_gencontrol:
+#	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'
 
 # Switch to main rules
 main:
@@ -70,10 +77,9 @@
 	sed -i 's/^Provides:/#Provides:/' debian/control
 	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
 	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
-	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
 	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
 	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
-	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
+	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
 	sed -i 's_^Section: contrib/_Section: _' debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control
@@ -92,10 +98,9 @@
 	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
 	sed -i 's/^#Provides:/Provides:/' debian/control
 	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
-	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
 	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
 	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
-	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
+	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
 	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
