## starpu 1.2.0+dfsg

=== debian/changelog ===
starpu (1.2.0+dfsg-5) unstable; urgency=medium

  * Update source repository URL to git.
  * patches/reproducibility: Fix reproducibility.
  * rules: Support DEB_BUILD_OPTIONS nodoc tag.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/qt5: Upstream fixes for qt5.
  * control: Replace qt4 dependencies with qt5.
  * rules: Make sure qt5 gets detected.
  * control: Replace qwt5 dependencies with qwt6.
  * rules: upgrade to libqwt 6.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 19:39:36 +0200

starpu (1.2.0+dfsg-4) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libsocl (Closes: Bug#857163)
  * rules: Append -contrib to that dependency for contrib package.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Mar 2017 15:18:09 +0100

starpu (1.2.0+dfsg-3) unstable; urgency=medium

  * Run the full testsuite even if there are failures.
  * control [contrib]: Build-Depend on clang-3.8 instead of gcc-5
  * rules: Pass -ccbin clang-3.8 (Closes: Bug#835941).
  * patches/nvcc_noccbin: Avoid overriding our -ccbin option.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 21:05:52 +0100

starpu (1.2.0+dfsg-2) unstable; urgency=medium

  * debian/rules: Also set FC to set gfortran version.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 22:49:22 +0200

starpu (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix final soname version.
    - Drop the documentation that we already generate from the tarball.
    - patches/openmp-valgrind: Remove, merged upstream
    - patches/examples: backport upstream fix to properly build some examples.
    - copyright: Use BSD-uthash licence name for uthash.h, since it is a
      modified BSD licence (Only the first item is kept, about keeping notices
      in source code redistribution)
    - copyright: Move standard licence texts to the end of the file.
    - copyright: Label the CL headers as Expat licence since that's it.
  * Downgrade opencl-headers build-dep to opencl-c-headers.
    (Closes: Bug#837911).
  * Build starpu-contrib on non-amd64 too (Closes: Bug#840559).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2016 13:50:02 +0200

starpu (1.2.0~rc2+dfsg-2) experimental; urgency=medium

  * Fix libsocl conflicting package names (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 16:29:49 +0200

starpu (1.2.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-0 to libstarpu-1.2-1 according to soname bump.
  * Merge unstable changes (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2015 10:40:17 +0100

starpu (1.2.0~20141210+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump sonames to 1.2-0.
    - control: Add libleveldb-dev.
    - rules: Add --enable-openmp.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Dec 2014 17:33:58 +0100

starpu (1.1.4+dfsg-6) unstable; urgency=medium

  * debian/patches/cnf: Drop testing for unused f77.h.
  * control:
    - Bump Standards-Version to 3.9.8 (no change)
    - Drop actually-unused libcnf-dev dependency.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Jul 2016 12:12:16 +0200

starpu (1.1.4+dfsg-5) unstable; urgency=medium

  * Drop i386 arch from contrib, CUDA only supports amd64 nowadays.
  * watch: Update to submission from bartm.
  * rules: Use dpkg-parsechangelog.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * starpu-examples.install: Add missing OpenCL programs.
  * Bump starpu-contrib gcc dependency to 5, now that CUDA 7.5 is in
    (Closes: Bug#818764).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 13:28:32 +0200

starpu (1.1.4+dfsg-4) unstable; urgency=medium

  * patches/sm_13: New patch from upstream to drop requesting sm_13
    architecture support, available since long. Fixes build with cuda 7.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Dec 2015 17:40:24 +0100
