=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: starpu
-Priority: extra
+Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
@@ -13,26 +13,28 @@
 	libblas-dev,
 	libfftw3-dev,
 	libhwloc-dev,
-	libcnf-dev,
-	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	libleveldb-dev,
+#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
 	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 	guile-2.0,
-	opencl-headers, ocl-icd-opencl-dev | opencl-dev,
-	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
-#	gcc-4.9, g++-4.9, gfortran-4.9, gcc-4.9-plugin-dev,
+	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
+#	gcc-6, g++-6, gfortran-6, gcc-6-plugin-dev, gcc,
+#	gcc-5, g++-5, gfortran-5, gcc-5-plugin-dev,
+#	clang-3.8,
 	help2man, doxygen, doxygen-latex,
 #	nvidia-cuda-toolkit,
-#Build-Conflicts: gcc-4.9, g++-4.9
-Standards-Version: 3.9.6
+#Build-Conflicts: gcc-6, g++-6
+Standards-Version: 4.0.1
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
-Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu
+Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
+Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.1-9 (= ${binary:Version}), libstarpufft-1.1-1 (= ${binary:Version}), libstarpumpi-1.1-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.2-0 (= ${binary:Version}), libstarpufft-1.2-0 (= ${binary:Version}), libstarpumpi-1.2-0 (= ${binary:Version}), libsocl-1.2-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +48,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-1.1-9
+Package: libstarpu-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.1-9
-#Provides: libstarpu-1.1-9
+Conflicts: libstarpu-contrib-1.2-0
+#Provides: libstarpu-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -63,12 +65,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpufft-1.1-1
+Package: libstarpufft-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.1-1
-#Provides: libstarpufft-1.1-1
+Conflicts: libstarpu-contribfft-1.2-0
+#Provides: libstarpufft-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -80,12 +82,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpumpi-1.1-3
+Package: libstarpumpi-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.1-3
-#Provides: libstarpumpi-1.1-3
+Conflicts: libstarpu-contribmpi-1.2-0
+#Provides: libstarpumpi-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -148,12 +150,12 @@
  .
  This package contains application examples.
 
-Package: libsocl-1.1-1
+Package: libsocl-1.2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-contrib-1.1-1
-#Provides: libsocl-1.1-1
+Conflicts: libsocl-contrib-1.2-0
+#Provides: libsocl-1.2-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
